## ros-eloquent-libcurl-vendor 2.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(libcurl_vendor)

find_package(ament_cmake REQUIRED)

set(PACKAGE_VERSION "1.0.0")

macro(build_libcurl)
  set(extra_cxx_flags)
  set(extra_c_flags)
  if(NOT WIN32)
    list(APPEND extra_cxx_flags "-std=c++14 -w")
    list(APPEND extra_c_flags "-w")
  endif()

  set(PKGCONFIG_FOR_OPENSSL)
  if(APPLE)
    set(PKGCONFIG_FOR_OPENSSL "/usr/local/opt/openssl/lib/pkgconfig")
  endif()

  if(WIN32 AND NOT ${CMAKE_VERBOSE_MAKEFILE})
    set(should_log ON)  # prevent warnings in Windows CI
  else()
    set(should_log OFF)
  endif()

  include(ExternalProject)
  if(WIN32)
    ExternalProject_Add(curl-7.57.0
      URL https://github.com/curl/curl/releases/download/curl-7_57_0/curl-7.57.0.tar.gz
      URL_MD5 c7aab73aaf5e883ca1d7518f93649dc2
      LOG_CONFIGURE ${should_log}
      LOG_BUILD ${should_log}
      CMAKE_ARGS
        -DENABLE_MANUAL=OFF
        -DBUILD_TESTING=OFF
        -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/libcurl_install
        -Wno-dev
      TIMEOUT 600
    )
  else()
    ExternalProject_Add(curl-7.57.0
      URL https://github.com/curl/curl/releases/download/curl-7_57_0/curl-7.57.0.tar.gz
      URL_MD5 c7aab73aaf5e883ca1d7518f93649dc2
      CONFIGURE_COMMAND
        <SOURCE_DIR>/configure
        CFLAGS=${extra_c_flags}
        CXXFLAGS=${extra_cxx_flags}
        PKG_CONFIG_PATH=$PKG_CONFIG_PATH:${PKGCONFIG_FOR_OPENSSL}
        --prefix=${CMAKE_CURRENT_BINARY_DIR}/libcurl_install
        --with-ssl
      BUILD_COMMAND ${MAKE}
      INSTALL_COMMAND make install
      TIMEOUT 600
    )
  endif()

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/libcurl_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/libcurl_vendor
  )
endmacro()

find_package(CURL QUIET)

if(NOT CURL_FOUND)
  # System curl not found, build one locally.
  build_libcurl()

  if(WIN32)
    ament_environment_hooks(env_hook/libcurl_vendor_library_path.bat)
    set(ENV_VAR_NAME "PATH")
    set(ENV_VAR_VALUE "opt\\libcurl_vendor\\bin")
  else()
    ament_environment_hooks(env_hook/libcurl_vendor_library_path.sh)
    if(APPLE)
      set(ENV_VAR_NAME "DYLD_LIBRARY_PATH")
    else()
      set(ENV_VAR_NAME "LD_LIBRARY_PATH")
    endif()
    set(ENV_VAR_VALUE "opt/libcurl_vendor/lib")
  endif()
  ament_environment_hooks(env_hook/libcurl_vendor_library_path.dsv.in)
  set(CURL_FOUND FALSE)
endif()

ament_package(
  CONFIG_EXTRAS "libcurl_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-eloquent-libcurl-vendor (2.2.2-1bionic) bionic; urgency=high

  * Ignore broken curl-config.cmake (#40 <https://github.com/ros/resource_retriever/issues/40>) (#42 <https://github.com/ros/resource_retriever/issues/42>)
  * Contributors: Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Thu, 09 Apr 2020 07:00:00 -0000

ros-eloquent-libcurl-vendor (2.2.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 05 Dec 2019 08:00:00 -0000

ros-eloquent-libcurl-vendor (2.2.0-1bionic) bionic; urgency=high

  * add .dsv file beside custom environment hook (#30 <https://github.com/ros/resource_retriever/issues/30>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-eloquent-libcurl-vendor (2.1.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-eloquent-libcurl-vendor (2.1.0-1bionic) bionic; urgency=high

  * depend on curl (mapping to curl, libcurl4-openssl-dev) for packaging (#25 <https://github.com/ros/resource_retriever/issues/25>)
  * add missing dependency on pkg-config (#19 <https://github.com/ros/resource_retriever/issues/19>)
  * [libcurl_vendor] convert to ament and setup env hooks for library paths (#14 <https://github.com/ros/resource_retriever/issues/14>)
  * Contributors: Dirk Thomas, Mikael Arguedas, William Woodall

 -- William Woodall <william@osrfoundation.org>  Thu, 21 Jun 2018 07:00:00 -0000

ros-eloquent-libcurl-vendor (2.0.0-1bionic) bionic; urgency=high

  * disable docs and tests for libcurl to avoid needing perl
  * fix libcurl vendor package on Windows and warnings
  * add temporary libcurl_vendor and use it to get curl
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 08:00:00 -0000

ros-eloquent-libcurl-vendor (1.12.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-eloquent-libcurl-vendor (1.12.2-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 10 Jun 2016 21:16:00 -0000

ros-eloquent-libcurl-vendor (1.12.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 10 Jun 2016 17:28:00 -0000

ros-eloquent-libcurl-vendor (1.12.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-eloquent-libcurl-vendor (1.11.6-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 30 Nov 2014 08:00:00 -0000

=== debian/control ===
Source: ros-eloquent-libcurl-vendor
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), curl, libcurl4-openssl-dev, ros-eloquent-ament-cmake, ros-eloquent-ros-workspace
Homepage: https://github.com/curl/curl
Standards-Version: 3.9.2

Package: ros-eloquent-libcurl-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libcurl4-openssl-dev, pkg-config, ros-eloquent-ros-workspace
Description: Wrapper around libcurl, it provides a fixed CMake module and an ExternalProject build of it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-libcurl-vendor//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
